Delete a portal token
DELETE /api/portal/tokens/{portal_token_id}
DELETE /api/portal/tokens/{portal_token_id}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
portal_token_id*string
The unique identifier of the portal token.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Query Parameters
portal_id?string
The unique identifier of the portal instance.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Default
"default"Response Body
application/json
application/json
curl -X DELETE "$API_BASE_URL/api/portal/tokens/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101"Successful operation.
{
"value": {}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
DELETE /api/portal/tokens/{portal_token_id}
Delete a portal token
IAM Action: portal:DeletePortalToken, Resource: arn:api7:portal:portal/%s/token/*
Parameters
portal_id(query, string, optional): The unique identifier of the portal instance.portal_token_id(path, string, required): The unique identifier of the portal token.
Responses
200: Successful operation.value(object, optional): The specific resource.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X DELETE '$API_BASE_URL/api/portal/tokens/{portal_token_id}'